#ifndef TESTDICE_H_
#define TESTDICE_H_

#include <cxxtest/TestSuite.h>

#include "Dice.h"

class DiceCxxTest: public CxxTest::TestSuite {
public:
	void testGetValue_default() {
		for (int i = 0; i < 100; i++) {
			int value = Dice::getValue();
			TS_ASSERT_LESS_THAN_EQUALS(value, 6);
			TS_ASSERT_EQUALS(value > 0, true);
		}
	}

	void testGetValue_12() {
		for (int i = 0; i < 100; i++) {
			int value = Dice::getValue(12);
			TS_ASSERT_LESS_THAN_EQUALS(value, 12);
			TS_ASSERT_EQUALS(value > 0, true);
		}
	}

	void testDefaultFaces() {
		TS_ASSERT_EQUALS(Dice::defaultFaces, 6);
	}

};

#endif /*TESTDICE_H_*/
